Enumerations

# network_content_widget.h File Reference

Types related to the network content widgets. More...

`#include "../textfile_type.h"`

Go to the source code of this file.

## Enumerations
enum | NetworkContentDownloadStatusWidgets { WID_NCDS_BACKGROUND, WID_NCDS_CANCELOK }
| Widgets of the NetworkContentDownloadStatusWindow class. More...
enum | NetworkContentListWidgets { WID_NCL_BACKGROUND, WID_NCL_FILTER_CAPT, WID_NCL_FILTER, WID_NCL_CHECKBOX, WID_NCL_TYPE, WID_NCL_NAME, WID_NCL_MATRIX, WID_NCL_SCROLLBAR, WID_NCL_DETAILS, WID_NCL_TEXTFILE, WID_NCL_SELECT_ALL = WID_NCL_TEXTFILE + TFT_END, WID_NCL_SELECT_UPDATE, WID_NCL_UNSELECT, WID_NCL_OPEN_URL, WID_NCL_CANCEL, WID_NCL_DOWNLOAD, WID_NCL_SEL_ALL_UPDATE, WID_NCL_SEARCH_EXTERNAL }
| Widgets of the NetworkContentListWindow class. More...

## Detailed Description

Types related to the network content widgets.

Definition in file network_content_widget.h.

## Enumeration Type Documentation

enum NetworkContentDownloadStatusWidgets

Widgets of the NetworkContentDownloadStatusWindow class.

Enumerator:

  WID_NCDS_BACKGROUND | Background of the window.
  WID_NCDS_CANCELOK | (Optional) Cancel/OK button.

Definition at line 18 of file network_content_widget.h.

enum NetworkContentListWidgets

Widgets of the NetworkContentListWindow class.

Enumerator:

  WID_NCL_BACKGROUND | Resize button.
  WID_NCL_FILTER_CAPT | Caption for the filter editbox.
  WID_NCL_FILTER | Filter editbox.
  WID_NCL_CHECKBOX | Button above checkboxes.
  WID_NCL_TYPE | 'Type' button.
  WID_NCL_NAME | 'Name' button.
  WID_NCL_MATRIX | Panel with list of content.
  WID_NCL_SCROLLBAR | Scrollbar of matrix.
  WID_NCL_DETAILS | Panel with content details.
  WID_NCL_TEXTFILE | Open readme, changelog (+1) or license (+2) of a file in the content window.
  WID_NCL_SELECT_ALL | 'Select all' button.
  WID_NCL_SELECT_UPDATE | 'Select updates' button.
  WID_NCL_UNSELECT | 'Unselect all' button.
  WID_NCL_OPEN_URL | 'Open url' button.
  WID_NCL_CANCEL | 'Cancel' button.
  WID_NCL_DOWNLOAD | 'Download' button.
  WID_NCL_SEL_ALL_UPDATE | NWID_SELECTION widget for select all/update buttons..
  WID_NCL_SEARCH_EXTERNAL | Search external sites for missing NewGRF.

Definition at line 24 of file network_content_widget.h.